<script setup>
import size1920 from "@/views/boarddirectors/size1920/index.vue";
import size375 from "@/views/boarddirectors/size375/index.vue";
import { computed } from "vue";
import { useWindowSize } from "@vueuse/core";

const { width } = useWindowSize();
const viewComponent = computed(() => {
  const viewWidth = width.value;
  if (viewWidth <= 450) {
    return size375;
  } else if (viewWidth <= 1920 || viewWidth > 1920) {
    return size1920;
  }
});
</script>

<template>
  <component :is="viewComponent" />
</template>

<style scoped lang="scss"></style>
